import { WeaTools } from "ecCom";

// 高级搜索
export const getConditions = params => {
  return WeaTools.callApi("/api/integration/webservice/getListConditions", "POST", params);
};

// 分页列表
export const getList = params => {
  return WeaTools.callApi("/api/integration/webservice/getList", "POST", params);
};

// 右键菜单
export const getRightMenu = params => {
  return WeaTools.callApi("/api/integration/webservice/getListRightMenus", "POST", params);
};

//新建表单保存、删除按钮
export const getFormRightMenus = params => {
  return WeaTools.callApi("/api/integration/webservice/getFormRightMenus", "POST", params);
};

// 获取新建表单
export const getForm = params => {
  return WeaTools.callApi("/api/integration/webservice/getForm", "POST", params);
};

//删除
export const delList = params => {
  return WeaTools.callApi("/api/integration/webservice/batchDelete", "POST", params);
}

//解析WSDL/检查更新
export const parseWSDL = params => {
  return WeaTools.callApi("/api/integration/webservice/parseWSDL", "POST", params);
}

//测试
export const doTest = params => {
  return WeaTools.callApi("/api/integration/webservice/doTest", "POST", params);
}

//保存
export const doSave = params => {
  return WeaTools.callApi('/api/integration/webservice/doSave','POST',params);
}